about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index dfc55aef..bf67c906 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -96,8 +96,8 @@ handle_image() {
 
 		# DJVU
         image/vnd.djvu)
-            # Preview as text conversion
-            djvutxt "${FILE_PATH}" && exit 5
+			# Preview as text conversion (requires djvulibre)
+            djvutxt "${FILE_PATH}" | fmt -w ${PV_WIDTH} && exit 5
             exiftool "${FILE_PATH}" && exit 5
             exit 1;;